<?php
//ini_set('display_errors',1);
session_start();
date_default_timezone_set('America/Lima');

require_once ("../../config/Cado.php");


unset($_SESSION["punvent_id"]);


?>
<script type="text/javascript">
	
	
	
	function mostrarPuntoventa(cat_id){
		
		//alert(punvent_id);
			$.ajax({
			type: "POST",
			url: "../gestionprecio/gestionprecio_sucursal.php",
			async:false,
			dataType: "html",                      
			data: ({
				cat_id:cat_id
			}),
			beforeSend: function() {
		
		},
		success: function(html){
			 $(".div_puntoventa").html(html);

		},
		complete: function(){
			
		}
	});
	}
	
	
	function traerPreciosPrincipal(cat_id){
		
		//alert(punvent_id);
			$.ajax({
			type: "POST",
			url: "../gestionprecio/gestionprecio_reg.php",
			async:false,
			dataType: "json",                      
			data: ({
				action : 'traerPreciopincipal',
				cat_id:cat_id
			}),
			beforeSend: function() {
		
		},
		success: function(data){
			$("#txt_gespre_pro_precos").val(data.gespre_precos);
			$("#txt_gespre_pro_preven").val("");
			$("#txt_gespre_pro_prevenf").val("");
			$("#txt_gespre_pro_bon").val("");

		},
		complete: function(){
			
		}
	});
	}
	

	
	
$(function() {
	
	
	
		$("#txt_gespre_pro_nom").focus();
		$("#txt_gespre_pro_lab").prop('readonly', true);
		
		
		$( "#txt_gespre_pro_nom" ).autocomplete({
			minLength: 1,
			delay: 12,
			source: "../gestionprecio/catalogo_buscar_nom.php",
			select: function( event, ui )
			{
				
				$('.div_precos').show();
				$('.div_preven').show();
				$('.div_prevenf').show();
				$('.div_puntoventa').show();	
				$('.div_guardar').show();
			
				//$("#txt_fil_pro_cod").val("");
				//$("#txt_bus_pro_nom").val(ui.item.label);
				$("#txt_gespre_pro_lab").val(ui.item.lab_nom);
				$("#hdd_cat_id").val(ui.item.catid);
				
				
					//seleccionar_puntoventa('restablecer');
					
					
				mostrarPuntoventa(ui.item.catid);
				traerPreciosPrincipal(ui.item.catid);
	
			
				//$("#txt_gespre_pro_lab").val(ui.la_nom);
				//$("#idcat_oculto").val(ui.item.catid);
				//traer_marca(ui.item.catid);	
	
			}
		});
		
		$("#btn_guardar").click(function(){
			
				$.ajax({
			type: "POST",
			url: "../gestionprecio/gestionprecio_reg.php",
			async:false,
			dataType: "json",                      
			data: $("#for_fil_gestionprecio").serialize(),
			beforeSend: function() {
		
		},
		success: function(data){
			
			if(data.gespre_est==0){
				
				toastr["error"](data.gespre_msj);
			}else{
				
				toastr["info"](data.gespre_msj);
				mostrarPuntoventa($("#hdd_cat_id").val());
			}
			

		},
		complete: function(){
			
		}
	});
			
			
			
			
		});
		
		$("#btn_restablecer").click(function(){
			
				$("#contenido").load("../gestionprecio/gestionprecio_vista.php");
			
		});	
	});
</script>

<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-12">
		    <div class="card">
		        <div class="card-header">
    		
			
			<form id="for_fil_gestionprecio" action="POST">
    		<div class="row">
			
			<input name="action" type="hidden" id="action" value="insertar">
			<input name="hdd_cat_id" type="hidden" id="hdd_cat_id" value="">
	
				
                     <div class="col-lg-4 6col-sm-5 col-7">
						<label>Nombre:</label>
						<input name="txt_gespre_pro_nom" type="text" id="txt_gespre_pro_nom" class="form-control">
                     </div>
                     
					 <div class="col-lg-2 col-sm-4 col-5">
						<label>Laboratorio:</label>
						<input name="txt_gespre_pro_lab" type="text" id="txt_gespre_pro_lab" class="form-control">
                     </div>
					 
					 <div class="col-lg-1 col-sm-3 col-4  div_precos " style="display: none">
						<label>Pre.Cos.:</label>
						<input name="txt_gespre_pro_precos" autocomplete="off" type="text" id="txt_gespre_pro_precos" class="form-control">
                     </div>
					 
					 <div class="col-lg-1 col-sm-2 col-4  div_preven " style="display: none">
						<label>Pre.Ven.:</label>
						<input name="txt_gespre_pro_preven" autocomplete="off" type="text" id="txt_gespre_pro_preven" class="form-control">
                     </div>
					 
					 <div class="col-lg-1 col-sm-2 col-4 div_prevenf" style="display: none">
						<label>Pre.Ven.f.:</label>
						<input name="txt_gespre_pro_prevenf" autocomplete="off" type="text" id="txt_gespre_pro_prevenf" class="form-control">
                     </div>
					 
					 
					  <div class="col-lg-1 col-sm-2 col-4 div_prevenf" style="display: none">
						<label>Bonificacion:</label>
						<input name="txt_gespre_pro_bon" autocomplete="off" type="text" id="txt_gespre_pro_bon" class="form-control">
                     </div>
					 
					                     
			    <div class="col-lg-6 col-md-8 col-8  div_puntoventa " style="display:none" >

					
	</div>	
	
	
	
	<div class="col-lg-2 col-sm-3 col-4 div_guardar" style="display: none; white-space: nowrap;padding-top: 30px;" >				
		<span  id="btn_guardar" class="btn btn-primary">Guardar</span>
	</div>
	
	
	
	
	</div>

	</form>						
				</div>
	
		</div>
		</div>
	</div>
</div>
</section>